Bug 446556 - Still need to exclude i386 packages in F8
Still need to exclude i386 packages in F8
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 23:13 EDT by Orion Poplawski
Modified: 2008-11-12 22:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-12 22:35:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-05-14 23:13:10 EDT
Description of problem:

x86_64 config files in mock-0.9.9-1.fc8 don't exclude i386, but they still need
to.  Policy didn't change until F9.
Comment 1 Clark Williams 2008-05-15 16:38:39 EDT
Do I have it right, that you're building F-9 packages on an F-8 system and the
problem is that the host yum in F-8 doesn't do the right thing, multilib-wise,
because the fedora-9-x86_64.cfg has the exclude commented out?

Ugh, if that's the case this is going to be painful to fix, since we build from
the same source tarball, just different spec files.

Comment 2 Orion Poplawski 2008-05-15 16:50:36 EDT
Yup, that's the issue.

You could put something like:

sed -i -e 's/^#exclude=/exclude=/' path/to/*.conf

in the pre F-9 specs.

Comment 3 Clark Williams 2008-05-15 17:12:12 EDT
I think the only release that really matters here is F8 (F7 isn't on mock-0.9.9)
and the only configs that matter are:

fedora-9-x86_64.cfg
fedora-rawhide-x86_64.cfg

Right? 

If that's the case I can just respin F8 with a spec file modified to do some
selective sed'ing and we're good
Comment 4 Orion Poplawski 2008-05-15 17:42:36 EDT
That matches what I've done.
Comment 5 Clark Williams 2008-05-15 18:14:07 EDT
Ok, I've got an F8 koji build going with that fix. 
Comment 6 Fedora Update System 2008-05-20 16:17:04 EDT
mock-0.9.10-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-05-21 07:04:12 EDT
mock-0.9.10-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4249
Comment 8 Fedora Update System 2008-10-20 15:49:13 EDT
mock-0.9.12-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/mock-0.9.12-1.fc8
Comment 9 Fedora Update System 2008-10-23 12:40:52 EDT
mock-0.9.12-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9085
Comment 10 Fedora Update System 2008-11-06 17:34:38 EST
mock-0.9.13-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mock-0.9.13-1.fc9
Comment 11 Fedora Update System 2008-11-06 17:34:48 EST
mock-0.9.13-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/mock-0.9.13-1.fc8
Comment 12 Fedora Update System 2008-11-07 21:10:47 EST
mock-0.9.13-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9499
Comment 13 Fedora Update System 2008-11-07 21:11:47 EST
mock-0.9.13-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9512
Comment 14 Fedora Update System 2008-11-12 22:35:34 EST
mock-0.9.13-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-11-12 22:37:23 EST
mock-0.9.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.